summaryrefslogtreecommitdiff
path: root/external/ios/build_boost.sh
diff options
context:
space:
mode:
Diffstat (limited to 'external/ios/build_boost.sh')
-rwxr-xr-xexternal/ios/build_boost.sh18
1 files changed, 4 insertions, 14 deletions
diff --git a/external/ios/build_boost.sh b/external/ios/build_boost.sh
index 11dcead..4bfbfeb 100755
--- a/external/ios/build_boost.sh
+++ b/external/ios/build_boost.sh
@@ -5,32 +5,22 @@ set -e
. ./config.sh
MIN_IOS_VERSION=10.0
-BOOST_URL="https://github.com/cake-tech/Apple-Boost-BuildScript.git"
BOOST_DIR_PATH="${EXTERNAL_IOS_SOURCE_DIR}/Apple-Boost-BuildScript"
BOOST_VERSION=1.84.0
BOOST_LIBS="random regex graph random chrono thread filesystem system date_time locale serialization program_options"
echo "============================ Boost ============================"
-echo "Cloning Apple-Boost-BuildScript from - $BOOST_URL"
-
# Check if the directory already exists.
if [ -d "$BOOST_DIR_PATH" ]; then
echo "Boost directory already exists."
else
echo "Cloning Boost from $BOOST_URL"
- git clone -b build $BOOST_URL $BOOST_DIR_PATH
-fi
-
-# Verify if the repository was cloned successfully.
-if [ -d "$BOOST_DIR_PATH/.git" ]; then
- echo "Boost repository cloned successfully."
- cd $BOOST_DIR_PATH
- git checkout build
-else
- echo "Failed to clone Boost repository. Exiting."
- exit 1
+ mkdir -p $BOOST_DIR_PATH || true
+ rm -rf $BOOST_DIR_PATH || true
+ cp -r "${MONEROC_DIR}/external/Apple-Boost-BuildScript" $BOOST_DIR_PATH
fi
+cd $BOOST_DIR_PATH
./boost.sh -ios \
--min-ios-version ${MIN_IOS_VERSION} \